Provide Feedback (11.1.2.3.600)

This feedback service sends feedback or reports an issue to Oracle.

Required Roles

Service Administrator, Power User, User, Viewer

REST Resource

POST /interop/rest/11.1.2.3.600/feedback

Request

Supported Media Types: application/json

Table 9-104 Parameters

Name Description
details Published in case of errors with the error string
status See Migration Status Codes
items Details about the resource
issueRef Feedback reference to contact Oracle support
links Detailed information about the link
href Links to API call
action The HTTP call type
rel Possible value: self
data Parameters as key value pairs passed in the request

Example of Response Body

{
	"details":null,
	"status":0,
	"items":[{"issueRef":"UDR_default_fin_superuser_2015_09_14_11_10_18"}],
	"links":[{
		"data":null,
		"action":"POST",
		"rel":"self",
		"href":"https://<BASE-URL>/interop/rest/{api_version}/feedback"
	}]
}

cURL Sample

funcProvideFeedback() {
	url=$SERVER_URL/interop/rest/$LCM_VERSION/feedback
	description=$(echo $1 | sed -f urlencode.sed)
	param="{\"configuration\":{\"URL\":\"$SERVER_URL\"},\"description\":\"$description\"}"
	funcExecuteRequest "POST" $url $param "application/json"

	output=`cat response.txt`
	status=`echo $output | jq '.status'`
	if [ $status == 0 ]; then
		echo "Feedback successful"
    else
        error=`echo $output | jq '.details'`
        echo "Error occurred. " $error
    fi
	funcRemoveTempFiles "respHeader.txt" "response.txt"
}